{
    name: "Jaboca Berry",
    spritenum: 230,
    isBerry: true,
    naturalGift: {
        basePower: 100,
        type: "Dragon"
    },
    onDamagingHit(damage, target, source, move) {
        if (move.category === "Physical" && source.hp && source.isActive && !source.hasAbility("magicguard")) {
            if (target.eatItem()) {
                for (const foe of target.adjacentFoes()) {
                    if (foe.hp && foe.isActive && !foe.hasAbility("magicguard")) {
                        this.damage(foe.baseMaxhp / (target.hasAbility("ripen") ? 3 : 6), foe, target);
                    }
                }
            }
        }
    },
    onEat() {
    },
    num: 211,
    gen: 4
}
